# $Revision: 1.40 $, $Date: 2012/03/03 15:48:40 $
Summary:	Tools for certain user account management tasks
Summary(de.UTF-8):	Anwender-Tools
Summary(fr.UTF-8):	Outils utilisateur
Summary(pl.UTF-8):	Narzędzia użytkownika
Summary(tr.UTF-8):	Kullanıcı araçları
Name:		usermode
Version:	1.108
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://fedorahosted.org/releases/u/s/usermode/%{name}-%{version}.tar.xz
# Source0-md5:	bef795b757defb9fd27cfbd48ef79861
Source1:	config-util
URL:		https://fedorahosted.org/usermode/
BuildRequires:	gtk+2-devel
BuildRequires:	libuser-devel
BuildRequires:	pam-devel
BuildRequires:	pwdb-devel
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
#Requires:	nss_db
Requires:	util-linux
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The usermode package contains the userhelper program, which can be
used to allow configured programs to be run with superuser privileges
by ordinary users.

%description -l de.UTF-8
Mehrere grafische Tools, u.a. eines zum Verwalten von Disketten (und
anderen Wechseldatenträgern) und eines zum Ändern der
Finger-Informationen eines Benutzers

%description -l fr.UTF-8
De nombreux outils graphiques, dont un outil pour aider les
utilsateurs à gérer les disquettes (et les autres supports amovibles)
et un outil pour aider les utilisateurs à modifier les informations
les concernant.

%description -l pl.UTF-8
Kilka graficznych narzędzi, w tym program pomagający użytkownikowi
zarządzanie dyskietkami (i innymi wymiennymi nośnikami) także program
pomocny przy zmianie informacji dla programu finger.

%description -l tr.UTF-8
Bu paket, kullanıcıların disketlerin yönetimini yapmak, kişisel finger
bilgilerini değiştirmek gibi işler için kullanabilecekleri araçlar
içerir.

%package gtk
Summary:	Graphical tools for certain user account management tasks
Group:		X11/Applications
Requires:	%{name} = %{version}-%{release}

%description gtk
The usermode-gtk package contains several graphical tools for users:
userinfo, usermount and userpasswd. Userinfo allows users to change
their finger information. Usermount lets users mount, unmount, and
format file systems. Userpasswd allows users to change their
passwords.

Install the usermode-gtk package if you would like to provide users
with graphical tools for certain account management tasks.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	INSTALL='install -p' \
	DESTDIR=$RPM_BUILD_ROOT

# in pld we do not install default wrappers
%{__rm} -v $RPM_BUILD_ROOT/etc/security/console.apps/*
%{__rm} $RPM_BUILD_ROOT%{_bindir}/shutdown

install -p %{SOURCE1} \
	$RPM_BUILD_ROOT/etc/security/console.apps/config-util

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc ChangeLog NEWS README
%attr(4711,root,root) %{_sbindir}/userhelper
%attr(755,root,root) %{_bindir}/consolehelper
%config(noreplace) %verify(not md5 mtime size) /etc/security/console.apps/config-util
%{_mandir}/man8/userhelper.8*
%{_mandir}/man8/consolehelper.8*

%files gtk
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/consolehelper-gtk
%attr(755,root,root) %{_bindir}/pam-panel-icon
%attr(755,root,root) %{_bindir}/userinfo
%attr(755,root,root) %{_bindir}/usermount
%attr(755,root,root) %{_bindir}/userpasswd
%{_mandir}/man1/pam-panel-icon.1*
%{_mandir}/man1/userinfo.1*
%{_mandir}/man1/usermount.1*
%{_mandir}/man1/userpasswd.1*
%{_mandir}/man8/consolehelper-gtk.8*
%{_datadir}/%{name}
%{_desktopdir}/*.desktop
%{_pixmapsdir}/*.png
%{_pixmapsdir}/keys.xpm

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: usermode.spec,v $
Revision 1.40  2012/03/03 15:48:40  glen
- up to 1.108; package config-util for system-config-keyboard

Revision 1.39  2011/10/01 19:55:41  glen
- up to 1.107, add -gtk subpackage

Revision 1.38  2011/01/29 00:07:31  sparky
- dropped pre-cvs changelog

Revision 1.37  2008/10/27 08:58:31  arekm
- release 4

Revision 1.36  2008/09/10 15:14:38  qboosh
- URLs (only newer versions there)

Revision 1.35  2008/03/31 16:52:59  sls
- fix for parallel building

Revision 1.34  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.33  2007/02/12 01:06:35  baggins
- converted to UTF-8

Revision 1.32  2006/11/16 15:13:11  darekr
- pass CC

Revision 1.31  2006/11/07 22:31:36  glen
- do not list %{_desktopdir}/* -- dangerous, could list directories unexpectedly

Revision 1.30  2006/08/08 14:38:10  sparky
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

Revision 1.29  2005/04/16 08:24:12  darekr
- cosmetics, _applnkdir -> _desktopdir

Revision 1.28  2003/12/27 21:58:00  ankry
- cosmetics

Revision 1.27  2003/12/27 18:15:13  yoshi
- Added propably missing R: nss_db (or nss_db-devel). It is now commented,
  until nss_db will build properly.

Revision 1.26  2003/12/27 16:08:38  yoshi
- Fixed %install and %files, it builds, seems not to work correctly anyway.

Revision 1.25  2003/12/27 15:42:35  yoshi
- Added br: pam-devel gtk+-devel pwdb-devel
- Todo: %install, %files

Revision 1.24  2003/05/28 13:02:31  malekith
- massive attack: source-md5

Revision 1.23  2003/05/25 06:27:35  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.22  2003/01/18 22:57:40  juandon
- removed two lines with define

Revision 1.21  2002/02/23 05:04:55  kloczek
- adapterized.

Revision 1.20  2002/02/22 23:29:50  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.19  2002/01/18 02:15:16  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.18  2001/05/03 01:14:04  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.17  2000/06/09 07:24:01  kloczek
- added using %%{__make} macro.

Revision 1.16  2000/06/07 04:41:53  kloczek
- spec adapterized.

Revision 1.15  2000/04/01 11:15:50  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.14  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.13  1999/09/04 09:05:30  wiget
 - /etc/X11/applnk -> /usr/X11R6/share/applnk

Revision 1.12  1999/07/13 19:35:34  baggins
update to 1.9

Revision 1.11  1999/07/12 23:06:16  kloczek

- added using CVS keywords in %changelog (for automating them).
